Package com.independentsoft.graph.calendars

# Enum Class CalendarColor

java.lang.Object
java.lang.Enum<CalendarColor>
com.independentsoft.graph.calendars.CalendarColor

All Implemented Interfaces:
  `Serializable`, `Comparable<CalendarColor>`, `Constable`

public enum CalendarColor extends Enum<CalendarColor>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  `LIGHT_BLUE`
  `LIGHT_BROWN`
  `LIGHT_GRAY`
  `LIGHT_GREEN`
  `LIGHT_ORANGE`
  `LIGHT_PINK`
  `LIGHT_RED`
  `LIGHT_TEAL`
  `LIGHT_YELLOW`
  `MAX_COLOR`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalendarColor`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CalendarColor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LIGHT_BLUE

    public static final CalendarColor LIGHT_BLUE

  - ### LIGHT_GREEN

    public static final CalendarColor LIGHT_GREEN

  - ### LIGHT_ORANGE

    public static final CalendarColor LIGHT_ORANGE

  - ### LIGHT_GRAY

    public static final CalendarColor LIGHT_GRAY

  - ### LIGHT_YELLOW

    public static final CalendarColor LIGHT_YELLOW

  - ### LIGHT_TEAL

    public static final CalendarColor LIGHT_TEAL

  - ### LIGHT_PINK

    public static final CalendarColor LIGHT_PINK

  - ### LIGHT_BROWN

    public static final CalendarColor LIGHT_BROWN

  - ### LIGHT_RED

    public static final CalendarColor LIGHT_RED

  - ### MAX_COLOR

    public static final CalendarColor MAX_COLOR

  - ### AUTO

    public static final CalendarColor AUTO

  - ### NONE

    public static final CalendarColor NONE

- ## Method Details

  - ### values

    public static CalendarColor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CalendarColor valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null